package threadpallina;

import java.awt.Color;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import javax.swing.JPanel;

public class JCampo extends JPanel {

	public JCampo() {
		setMinimumSize(new Dimension(120, 120));
		setPreferredSize(new Dimension(120, 120));
		setBackground(new Color(154, 205, 50));
		setLayout(null);

		addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent e) {
				fermaPalline();
			}
		});
	}

	private void fermaPalline() {
		for (int i = 0; i < this.getComponentCount(); i++) {
			Component oggetto = this.getComponent(i);
			if (oggetto instanceof JPallina)
				((JPallina) oggetto).stop();
		}
	}

}
