package threadpallina;

import java.awt.EventQueue;

import javax.swing.GroupLayout;
import javax.swing.GroupLayout.Alignment;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.LayoutStyle.ComponentPlacement;
import javax.swing.JRadioButton;
import javax.swing.ImageIcon;
import javax.swing.SwingConstants;

public class Main extends JFrame {

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					Main frame = new Main();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public Main() {
		setTitle("Thread pallina");
		setBounds(100, 100, 500, 300);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		JLabel lblCliccaSullePalline = new JLabel("Clicca sulle palline per farle partire/fermare o sul campo verde per fermarle tutte");
		
		JCampo campo = new JCampo();

		JPallina pallina_1 = new JPallina();
		pallina_1.setBounds(156, 36, 10, 10);
		campo.add(pallina_1);

		JPallina pallina_2 = new JPallina();
		pallina_2.setBounds(77, 131, 10, 10);
		campo.add(pallina_2);

		JPallina pallina_3 = new JPallina();
		pallina_3.setBounds(314, 46, 10, 10);
		campo.add(pallina_3);

		JPallina pallina_4 = new JPallina();
		pallina_4.setBounds(333, 153, 10, 10);
		campo.add(pallina_4);

		JPallina pallina_5 = new JPallina();
		pallina_5.setBounds(207, 118, 10, 10);
		campo.add(pallina_5);
		
		JLabel lblClock = new JLabel("<html><center>Questa non \u00E8<br>una pallina</center></html>");
		lblClock.setVerticalTextPosition(SwingConstants.BOTTOM);
		lblClock.setHorizontalAlignment(SwingConstants.CENTER);
		lblClock.setHorizontalTextPosition(SwingConstants.CENTER);
		lblClock.setIcon(new ImageIcon(Main.class.getResource("/threadpallina/img/clock.png")));
		lblClock.setBounds(0, 11, 100, 100);
		campo.add(lblClock);

		GroupLayout groupLayout = new GroupLayout(getContentPane());
		groupLayout.setHorizontalGroup(
			groupLayout.createParallelGroup(Alignment.LEADING)
				.addGroup(groupLayout.createSequentialGroup()
					.addContainerGap()
					.addGroup(groupLayout.createParallelGroup(Alignment.LEADING)
						.addComponent(campo, Alignment.TRAILING, GroupLayout.DEFAULT_SIZE, 414, Short.MAX_VALUE)
						.addComponent(lblCliccaSullePalline))
					.addContainerGap())
		);
		groupLayout.setVerticalGroup(
			groupLayout.createParallelGroup(Alignment.LEADING)
				.addGroup(groupLayout.createSequentialGroup()
					.addContainerGap()
					.addComponent(lblCliccaSullePalline)
					.addPreferredGap(ComponentPlacement.RELATED)
					.addComponent(campo, GroupLayout.DEFAULT_SIZE, 220, Short.MAX_VALUE)
					.addGap(10))
		);
		
		getContentPane().setLayout(groupLayout);

	}
}
